Description
Hi,

I am working specifically with the original BHPS sample (hhorig==3) across combined waves 1-25. My question relates to the
variable Inprnt: number of children ever had/fathered.

There are a signification number of 'inapplicable’ responses to this variable. From what | can gather from reading issues raised
previously (cases 459 & 500), individuals with their own children living in the household were not asked Inprnt, at least not in USoc. Is
this also the case in BHPS? The advice given in case #500 was to use the variable nnatch (number of biological children in the
household) to fill in the missing values on Inprnt. However, this variable does not exist for the BHPS sample. The closest | can find is
nchild_dv, but this includes adopted and step children.

Is there a variable for the number of biological children in the household for BHPS sample across combined waves 1-25?

Or, better still, is there any other way that | can derive a variable for the number of children a person has ever had/fathered?

To be clear, | really want a measure of the number of children ever had/fathered, not the number of biological children living in the
household.

Thanks in advance for your help!

History

#1 - 02/15/2018 02:36 PM - Alita Nandi
- Status changed from New to In Progress

- Private changed from Yes to No

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.
Best wishes,
Alita

#2 - 03/14/2018 08:53 AM - Alita Nandi

- Status changed from In Progress to Feedback

- Assignee changed from Alita Nandi to Alice Campbell
- % Done changed from 0 to 50

Hello Alice,

No. While the routing into LNPRNT is different in the BHPS and Understanding Society, LNPRNT is asked of the same universe: anyone who has
ever had a biological child and is being interviewed for the first time. The large number of inapplicable cases is from onwards the second wave as the
number of people for whom this is the first interview is small.

We do not provide this variable cumulatively. Here is a suggestion for how to create this for Understanding Society by using LNPRNT (at the initial
interview) and then adding number of children fathered since the last interview (NCHILD) for men between 16-64 and for women using the pregnancy
module since last interview (PREGOUT™)

e [In W1
generat ttlkids=0 if a_nnatch==0
replace ttlkids=0 if a_nnatch==. & a_lprnt==2
replace ttlkids=a_Inprnt if a_Inprnt<. & a_Inprnt>0
/I To account for 32 cases where a_nnatch>a_Inrpnt
replace ttlkids=a_nnatch if a_nnatch>a_Ilnprnt & a_nnatch>0 & a_nnatch<. & a_Ilnprnt>0 & a_Inprnt<.

*from onwards W2

generat ttlkids_sdli=0

replace ttlkids_sdli=nchild if nchild<. & nchild>0 // for men 16-64 year olds
// for women
forvalues i=1/5 {
replace ttlkids_sdli=ttlkids_sdli+1 if pregout’i'==1

1
fre ttlkids_sdli

You can use these to add to the W1 ttlkids and produce the total each wave. Please note this code is a suggestion as we have not checked this
thoroughly. If you spot any problems with this code please let us know.

Further details about the routing to LNPRNT in the BHPS and Understanding Society:

If you check the online documentation for BHPS you will see that the preceding filtering gs to LNRPNT, LPRNT, was asked of everyone in Wave 2.
And then from onwards Wave 8 it was asked of only those who were not asked this question before, that is, new entrants, rising 16s and those not
interviewed before.

https://www.iser.essex.ac.uk/bhps/documentation/volb/wave2/bindresp7.html#BLPRNT
Those who reported having a biological child, LPRNT=1, were asked about the number of biological children, LNPRNT.

For Understanding Society, this LPRNT was asked of everyone in Wave 1 who did not report any biological children in the household. Then all those
who reported at least one biological child (whether in the household, NNATCH>0, or outside the household, LPRNT=1), were asked the number of
children, LNPRNT. From Wave 2 onwards, LPRNT was asked of new entrant never interviewed and who did not report any biological children in the
household.

Best wishes,
Alita

#3 - 03/22/2018 12:48 PM - Nico Ochmann
Dear Alita,

I am looking at the number of children a women had. For that purpose, | am very interested in the code you provided. With regard to the code above, |
do have comments/questions.

First, | would include caesarean births (pregout’i'==2).

Second, pregout1, pregout2 and pregout3 is available for waves 2 through 7. Why not use them instead of pregout1-pregout5?

Third, when you define/code ttlkids, | am not quite sure why you do it for wave 1 only and do not use nnatch, Inprnt, Iprnt for all waves 1-7 (see my
suggested code below).

Once again, | would appreciate your insights for my three points raised.

Thank you very much.
Nico

generate ttlkids=0 if nnatch==0

replace ttlkids=0 if nnatch==. & Iprnt==2

replace ttlkids= Inprnt if Inprnt<. & Inprnt>0

/I To account for 32 cases where a_nnatch>a_Inrpnt

replace ttlkids=nnatch if nnatch>Inprnt & nnatch>0 & nnatch<. & Inprnt>0 & Inprnt<.
generat ttlkids_sdli=0

forvalues i=1/3 {

replace ttlkids_sdli=ttlkids_sdli+1 if pregout’i'==1 | pregout’i'==

}

gen kids = ttlkids + ttlkids_sdli

#4 - 03/31/2018 04:44 AM - Alice Campbell

Hi Alita,

Thank you so much for the information and code.

| am utilising the original BHPS sample (hhorig==3) and need a cumulative variable for BHPS waves B1-B18 as well as USoc waves 2-7.
Unfortunately, | can't find variables for number of children fathered/born since the last interview - i.e. variables equivalent to NCHILD and PREGOUT*
- for BHPS waves. | can tell how many children a person has had in wave B2 (when everyone was asked), but | have no way of knowing if additional
children are fathered/born after this. Therefore, | cannot create a cumulative variable that covers BHPS waves. Is my understanding of the situation
correct?

Thanks again for all of your help.

Best wishes,
Alice

#5 - 04/03/2018 05:29 PM - Alita Nandi
Hi Nico,
1. Good idea to include ceasarian birth - thanks for spotting that.

2. The number of pregout variables depends on the maximum number of pregnancies reported in that wave. So, you have to include all the variables
that are available in that wave. In terms of coding this will mean you change the forvalues statement for each wave depending on the number of
pregout variables available in that wave. For Wave 2 it will go from 1/5 for Wave 3 from 1/3 and so on. (There are other ways of writing the syntax so
that you don't have to write the syntax for each wave separately and use the same forvalues statement for all waves).

Best wishes,
Alita

#6 - 04/03/2018 05:31 PM - Alita Nandi
Hi Alice,

| have asked our BHPS experts to answer your question.

In the meantime you could take a look at the partnership and fertility history file that Chiara Pronzato produced for the BHPS. You can find it in the
UKDS website.

https://discover.ukdataservice.ac.uk/catalogue/?sn=5629&type=Data%20catalogue

For each person, the date of birth of every child is given in this file. Using that and the interview date you should be able to compute the number of
children ever born by that wave.

Best wishes,
Alita

#7 - 04/04/2018 01:20 PM - Alita Nandi
- % Done changed from 50 to 90

Hi Alice,

In the BHPS, everyone was asked about all natural children (co-resident or non-resident) in Wave B for the Original Essex sample and Waves K/L for
the regional boost samples. The file which stores this information is WCHILDNT. After this initial record, any new children born to the respondents
who are still co-resident can be identified using INDALL or EGOALT. However, there is no information collected about non-resident children after the
initial fertility history is collected. For mothers, this generally gives an accurate account of all their children but not for fathers because after separation
children were most likely to live with their mothers. Chiara Pronzato's file uses this information (initial history of all children ever born + subsequent
co-resident children born) as is explained in the user guide.

Please note that retrospective histories are subject to recall error including the initial fertility history. There may be gender differences in recall error
about retrospective fertility history. Please look at relevant research.

Best wishes,
Alita

#8 - 04/13/2018 01:38 PM - Nico Ochmann
Dear Alita,

| believe | spotted yet another issue here in the context of generating the number of children ever born to a given women in USoc. Your code below
fails to consider the IEMB in wave 6 when you just look at LNPRNT at the initial wave 1. Cheers. Nico
In W1

generat ttlkids=0 if a_nnatch==0

replace ttlkids=0 if a_nnatch==. & a_lprnt==2

replace ttlkids=a_lnprnt if a_Inprnt<. & a_lnprnt>0

/I To account for 32 cases where a_nnatch>a_Inrpnt

replace ttlkids=a_nnatch if a_nnatch>a_Inprnt & a_nnatch>0 & a_nnatch<. & a_Inprnt>0 & a_Inprni<.
*from onwards W2

generat ttlkids_sdli=0

replace ttlkids_sdli=nchild if nchild<. & nchild>0 // for men 16-64 year olds

// for women

forvalues i=1/5 {

replace ttlkids_sdli=ttlkids_sdli+1 if pregout’i'==1

}

#9 - 08/14/2018 04:54 PM - Stephanie Auty
- Status changed from Feedback to Resolved

- % Done changed from 90 to 100

#10 - 03/02/2021 04:53 PM - Understanding Society User Support Team
- Assignee deleted (Alice Campbell)
